import { resolve } from 'node:path'
import { defineConfig } from 'vite'

export default defineConfig({
	resolve: { alias: { '~': resolve(__dirname, './src') } },
	build: {
		lib: {
			name: 'tg-bot',
			fileName: 'index',
			entry: resolve(__dirname, 'src', 'index.ts')
		},
		rollupOptions: {
			external: ['telegraf', 'dotenv']
		}
	}
})
